//-------------------------------------------------------------------------------
// CJuego.h
//-------------------------------------------------------------------------------

#ifndef CJUEGO_H
#define CJUEGO_H

#define WIN32_LEAN_AND_MEAN
#define WND_WIDTH	640
#define WND_HEIGHT	480

#include <d3dx9.h>
#include <mmsystem.h>
#include "principal.h"
#include "CUtil.h"
#include "CCubo.h"

class CJuego  
{
	private:
		
		void EscribirConsola(char* text, ...);

		LPDIRECT3D9 m_pD3D;
		LPDIRECT3DDEVICE9 m_pD3DDev;
		CUtil *Util;
		CCubo *Cubo1;
		HWND hWnd;
		void *debugInputHandle;
		void *debugOutputHandle;

		void ActualizaMatrices(void);
		

	public:
		
		HRESULT InicializarD3D(BOOL bWindowed);
		D3DFORMAT CJuego::SelModoVideo(UINT nAncho, UINT nAlto, UINT nBits);
		HRESULT InicializarJuego();
		void BuclePpal(void);
		CJuego(HWND Wnd,void *DebInHandle,void *DebOutHandle);
		~CJuego();

};

#endif // CJUEGO_H