//-------------------------------------------------------------------------------
// CMalla.h
//-------------------------------------------------------------------------------

#ifndef CMALLA_H
#define CMALLA_H

#include <d3dx9.h>
#include "principal.h"
#include "CUtil.h"

//-------------------------------------------------------------------------------
// Clase: CMalla
//-------------------------------------------------------------------------------

#define D3DFVF_VERTMALLA (D3DFVF_XYZ|D3DFVF_NORMAL|D3DFVF_TEX1)

class CMalla 
{

	public:

		DWORD Renderizar();
		CMalla(LPDIRECT3DDEVICE9 pD3DDevice, LPSTR pNombreArchivo);
		~CMalla();


	private:

		void CargarEstados(void);

		LPDIRECT3DDEVICE9 m_pD3DDevice;
		DWORD m_dwNumMateriales;
		LPD3DXMESH m_pMalla;
		D3DMATERIAL9* m_pMallaMateriales;
		LPDIRECT3DTEXTURE9* m_pMallaTexturas;

};

#endif // CMALLA_H
