//-------------------------------------------------------------------------------
// CUtil.h
//-------------------------------------------------------------------------------

#ifndef CUTIL_H
#define CUTIL_H

#include <time.h>
#include "principal.h"

//-------------------------------------------------------------------------------
// Clase: CUtil
//-------------------------------------------------------------------------------

class CUtil {

	private:
		
		void EscribirConsola(char* text, ...);
		
		HWND	hWnd;
		void	*debugInputHandle;
		void	*debugOutputHandle;
		BOOL	LogActivado;
		
	public:

		CUtil(HWND Wnd,void *DebInHandle,void *DebOutHandle);
		void Mostrar(char cadena[128]);
		int RandInt(int bajo,int alto);
		void ActivarLog(void);
		void EscribirLog(char *lpszText, ...);
		void DesactivarLog(void);
};

#endif // CUTIL_H