//-------------------------------------------------------------------------------
// CBitset.h
//-------------------------------------------------------------------------------

#ifndef CBITSET_H
#define CBITSET_H

#include "principal.h"

//-------------------------------------------------------------------------------
// Clase: CBitset
//-------------------------------------------------------------------------------

class CBitset
{

	private:

		unsigned int *m_pBits;
		int m_iNumDeInt;

		
	public:
		
		CBitset() : m_pBits(0), m_iNumDeInt(0) {}

		~CBitset() 
		{
			BorrarObj(m_pBits);
		}

		void Inicializar(int iNumeroDeBits); 
		void Activar(int i);
		int EstaActivado(int i);
		void Desactivar(int i);
		void DesactivarTodos(void);

};

#endif // CBITSET_H

