//-------------------------------------------------------------------------------
// principal.h
//-------------------------------------------------------------------------------

#if !defined(AFX_PRINCIPAL_H)
#define AFX_PRINCIPAL_H

#include <stdlib.h>
#include <stdio.h>
#include <windows.h>
#include <time.h>


//-------------------------------------------------------------------------------
// Definiciones
//-------------------------------------------------------------------------------

#define WIN32_LEAN_AND_MEAN
#define APP_NAME    "D3D 4"

// Elimina objetos e interfaces de memoria
#define BorrarInter(pInterface) if(pInterface != NULL) {pInterface->Release(); pInterface=NULL;}
#define BorrarObj(pObject) if(pObject != NULL) {delete pObject; pObject=NULL;}

// Nos dice si una tecla determinada ha sido pulsada
#define GET_KEYDOWN(key) ((int)((GetAsyncKeyState(key) & (1 << 15)) >> 15))

#endif
